org.keycloak.connections.mongo.updater.impl.updates

## Class Update

- java.lang.Object
- - org.keycloak.connections.mongo.updater.impl.updates.Update

- Direct Known Subclasses:
    Update1_0_0_Final, Update1_1_0_Beta1, Update1_2_0_Beta1, Update1_2_0_CR1, Update1_3_0, Update1_4_0, Update1_7_0, Update1_8_0, Update1_9_2

      public abstract class Update
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.mongodb.DB` | `db`
    `protected org.jboss.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Update()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.mongodb.DBCollection` | `createCollection(String name)`
    `protected void` | `deleteEntries(String collection)`
    `protected void` | `ensureIndex(String name, String[] fields, boolean unique, boolean sparse)`
    `protected void` | `ensureIndex(String name, String field, boolean unique, boolean sparse)`
    `abstract String` | `getId()`
    `protected void` | `removeField(String collection, String field)`
    `protected void` | `renameCollection(String collection, String newName)`
    `void` | `setDb(com.mongodb.DB db)`
    `void` | `setLog(org.jboss.logging.Logger log)`
    `abstract void` | `update(KeycloakSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### db

          protected com.mongodb.DB db

    - #### log

          protected org.jboss.logging.Logger log

  - ### Constructor Detail

    - #### Update

          public Update()

  - ### Method Detail

    - #### getId

          public abstract String getId()

    - #### update

          public abstract void update(KeycloakSession session)
                               throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### createCollection

          protected com.mongodb.DBCollection createCollection(String name)

    - #### ensureIndex

          protected void ensureIndex(String name,
                                     String field,
                                     boolean unique,
                                     boolean sparse)

    - #### ensureIndex

          protected void ensureIndex(String name,
                                     String[] fields,
                                     boolean unique,
                                     boolean sparse)

    - #### deleteEntries

          protected void deleteEntries(String collection)

    - #### removeField

          protected void removeField(String collection,
                                     String field)

    - #### renameCollection

          protected void renameCollection(String collection,
                                          String newName)

    - #### setLog

          public void setLog(org.jboss.logging.Logger log)

    - #### setDb

          public void setDb(com.mongodb.DB db)

Copyright © 2016 JBoss by Red Hat. All rights reserved.